/*-----------------------------------------------------------------------------------------
   This software is in the public domain, furnished "as is", without technical
   support, and with no warranty, express or implied, as to its usefulness for
   any purpose.

   This sketch based on:
   APM Mode Switch by Stefan Gofferje - http://stefan.gofferje.net/
   APM Mode Switch by Helle
   SPI examples by Nick Gammon - http://www.gammon.com.au/spi

   16 analog inputs to OpenTX via ppm: The SPI master sketch

   This sketch acts as SPI master. It reads the 8 analog inputs and maps the values to servo 
   signals from 1000 to 2000 microseconds. Then it combines the 8 servo signals into a single 
   PPM stream.
   Every 100 millisecond it triggers the SPI slave on the second arduino and sends the PPM stream.

   Author: Dirk Wiedemann
   Date: 2018/04/13

   Version 0.1
*/


#include <SPI.h>
#include "SPI_anything.h"

int ArdPin[]={A0,A1,A2,A3,A4,A5,A6,A7};
int ppm2[8];
int Analog;
  

void setup (void)
{

  digitalWrite(SS, HIGH);  // ensure SS stays high for now

  // Put SCK, MOSI, SS pins into output mode
  // also put SCK, MOSI into LOW state, and SS into HIGH state.
  // Then put SPI hardware into Master mode and turn SPI on
  SPI.begin ();

  // Slow down the master a bit
  SPI.setClockDivider(SPI_CLOCK_DIV32);

}  // end of setup


void loop (void)
{

  for(int i=0; i<8; i++){    
      ppm2[i] = analogRead(ArdPin[i]);  // read the analog ports
  }

  char c;

  // enable Slave Select
  digitalWrite(SS, LOW);    // SS is pin 10

  SPI_writeAnything (ppm2);
  // disable Slave Select
  digitalWrite(SS, HIGH);

  delay (100);  // 100 ms delay 
}  // end of loop

